package com.jz.dm.common.enums.apiInterface;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.common.constant
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: ApiStatusEnum
 * @DATE: 2020-12-29/14:28
 * @DAY_NAME_SHORT: 周二
 * @Description:
 **/
public enum  ApiStatusEnum {
    /**
     * 草稿
     */
    DRAFT("草稿"),

    /**
     * 发布'
     */
    ISSUE("发布"),
    /**
     * 过时
     */
    OUTMODED("过时"),
    /**
     * 冻结
     */
    FREEZE("冻结"),
    /**
     * 下架(下架时可以调用/不可以购买)
     */
    SOLDOUT("下架"),

    /**
     * 失效'
     */
    EXPIRY("失效");
    private String text;

    ApiStatusEnum(String text) {
        this.text = text;
    }

    public String getText() {
        return text;
    }

    public static ApiStatusEnum fromApiStatusName(String typeName) {
        for (ApiStatusEnum type : ApiStatusEnum.values()) {
            if (type.name().equals(typeName)) {
                return type;
            }
        }
        return null;
    }
}
