package com.jz.manage.moduls.mapper;

import com.jz.common.base.BaseMapper;
import com.jz.common.entity.SysUser;
import com.jz.manage.moduls.entity.SysMenu;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 平台系统用户表(SysUser)表数据库访问层
 *
 * @author Bellamy
 * @since 2020-11-29 14:30:26
 */
public interface SysUserDao extends BaseMapper<SysUser> {


    List<Map> getUserRoleByAccount(@Param("userId") Long userId,
                                   @Param("roleId") Long roleId);

    List<SysMenu> getMenu(@Param("userId") Long userId,
                                   @Param("roleId") Long roleId);
}